Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.frameworks.model
Interface PortletApplicationModel

All Known Implementing Classes:
  PortletApplicationModelImpl

public interface PortletApplicationModel

PortletApplicationModel

Version:
  $Id: PortletApplicationModel.java 517068 2007-03-12 01:44:37Z ate $
Author:
  David Sean Taylor

Method Summary
`Object` | `createBean(ModelBean mb)`
`Map` | `createPrefsBean(ModelBean mb, Map prefs)`
`String` | `getForward(String actionForward)`
`String` | `getForward(String view, String status)`
`ModelBean` | `getModelBean(String view)`
`String` | `getTemplate(String view)`
`void` | `init(javax.portlet.PortletConfig config)`
`Object` | `lookupBean(ModelBean mb, String key)`
`void` | `setExternalSupport(Map map)`
`Map` | `validate(Object bean, String view, ResourceBundle bundle)`

Method Detail

### init

    public void init(javax.portlet.PortletConfig config)
              throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### getModelBean

    public ModelBean getModelBean(String view)

### getTemplate

    public String getTemplate(String view)

### createBean

    public Object createBean(ModelBean mb)

### lookupBean

    public Object lookupBean(ModelBean mb,
                             String key)

### createPrefsBean

    public Map createPrefsBean(ModelBean mb,
                               Map prefs)

### validate

    public Map validate(Object bean,
                        String view,
                        ResourceBundle bundle)
                 throws javax.portlet.PortletException

  Throws:
    `javax.portlet.PortletException`

### getForward

    public String getForward(String view,
                             String status)

### getForward

    public String getForward(String actionForward)

### setExternalSupport

    public void setExternalSupport(Map map)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.